> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Credential Issuer Profile

> Create a new credential issuer profile



## OpenAPI

````yaml /openapi.json post /credential-issuer-profiles
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /credential-issuer-profiles:
    post:
      tags:
        - Credential Issuer Profile
      summary: Create Credential Issuer Profile
      description: Create a new credential issuer profile
      operationId: createCredentialIssuerProfile
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCredentialIssuerProfile'
      responses:
        '201':
          description: Credential issuer profile created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialIssuerProfile'
        '400':
          description: Invalid request
components:
  schemas:
    CreateCredentialIssuerProfile:
      type: object
      properties:
        name:
          type: string
          description: The name of the issuer party or organization for this profile.
        identifierId:
          type: string
          description: >-
            The identifier (did:web) used to identify the issuer for this
            profile.
      required:
        - name
        - identifierId
    CredentialIssuerProfile:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the credential issuer profile.
        name:
          type: string
          description: The organization name used in credential issuance.
        identifierId:
          type: string
          description: The identifier used to issue credentials.
      description: >-
        The profile used to issue credentials such as Digital Product Passports
        against.
      required:
        - id
        - name
        - identifierId

````